# StringInfo

Struct in [Yarn.Compiler](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler)

Inherits from `System.ValueType`

## Summary

Information about a string. Stored inside a string table, which is produced from the Compiler.

```csharp
public struct StringInfo
```

## Remarks

You do not create instances of this class yourself. They are generated by the [Compiler](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.compiler) .

## Fields

| Name                                                                                                                                       | Description                                                       |
| ------------------------------------------------------------------------------------------------------------------------------------------ | ----------------------------------------------------------------- |
| [fileName](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.filename)           | The name of the file this string was found in.                    |
| [isImplicitTag](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.isimplicittag) | Indicates whether this string's line ID was implicitly generated. |
| [lineNumber](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.linenumber)       | The line number at which this string was found in the file.       |
| [metadata](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.metadata)           | The metadata (i.e. hashtags) associated with this string.         |
| [nodeName](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.nodename)           | The name of the node that this string was found in.               |
| [text](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.text)                   | The original text of the string.                                  |

## Methods

| Name                                                                                                                               | Description |
| ---------------------------------------------------------------------------------------------------------------------------------- | ----------- |
| [ToString()](https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo/yarn.compiler.stringinfo.tostring) |             |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.yarnspinner.dev/2.2/api/csharp/yarn.compiler/yarn.compiler.stringinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
